<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XAdvertisedPatterns StructType
 * @subpackage Structs
 */
class XAdvertisedPatterns extends AbstractStructBase
{
    /**
     * The pattern
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $pattern;
    /**
     * The pstnFailStrip
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $pstnFailStrip;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The patternType
     * Meta information extracted from the WSDL
     * - default: Enterprise Number
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $patternType;
    /**
     * The hostedRoutePSTNRule
     * Meta information extracted from the WSDL
     * - default: Specify
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $hostedRoutePSTNRule;
    /**
     * The pstnFailPrepend
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $pstnFailPrepend;
    /**
     * Constructor method for XAdvertisedPatterns
     * @uses XAdvertisedPatterns::setPattern()
     * @uses XAdvertisedPatterns::setPstnFailStrip()
     * @uses XAdvertisedPatterns::setDescription()
     * @uses XAdvertisedPatterns::setPatternType()
     * @uses XAdvertisedPatterns::setHostedRoutePSTNRule()
     * @uses XAdvertisedPatterns::setPstnFailPrepend()
     * @param string $pattern
     * @param string $pstnFailStrip
     * @param string $description
     * @param string $patternType
     * @param string $hostedRoutePSTNRule
     * @param string $pstnFailPrepend
     */
    public function __construct($pattern = null, $pstnFailStrip = '0', $description = null, $patternType = 'Enterprise Number', $hostedRoutePSTNRule = 'Specify', $pstnFailPrepend = null)
    {
        $this
            ->setPattern($pattern)
            ->setPstnFailStrip($pstnFailStrip)
            ->setDescription($description)
            ->setPatternType($patternType)
            ->setHostedRoutePSTNRule($hostedRoutePSTNRule)
            ->setPstnFailPrepend($pstnFailPrepend);
    }
    /**
     * Get pattern value
     * @return string
     */
    public function getPattern()
    {
        return $this->pattern;
    }
    /**
     * Set pattern value
     * @param string $pattern
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAdvertisedPatterns
     */
    public function setPattern($pattern = null)
    {
        $this->pattern = $pattern;
        return $this;
    }
    /**
     * Get pstnFailStrip value
     * @return string
     */
    public function getPstnFailStrip()
    {
        return $this->pstnFailStrip;
    }
    /**
     * Set pstnFailStrip value
     * @param string $pstnFailStrip
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAdvertisedPatterns
     */
    public function setPstnFailStrip($pstnFailStrip = '0')
    {
        $this->pstnFailStrip = $pstnFailStrip;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAdvertisedPatterns
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get patternType value
     * @return string|null
     */
    public function getPatternType()
    {
        return $this->patternType;
    }
    /**
     * Set patternType value
     * @param string $patternType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAdvertisedPatterns
     */
    public function setPatternType($patternType = 'Enterprise Number')
    {
        $this->patternType = $patternType;
        return $this;
    }
    /**
     * Get hostedRoutePSTNRule value
     * @return string|null
     */
    public function getHostedRoutePSTNRule()
    {
        return $this->hostedRoutePSTNRule;
    }
    /**
     * Set hostedRoutePSTNRule value
     * @param string $hostedRoutePSTNRule
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAdvertisedPatterns
     */
    public function setHostedRoutePSTNRule($hostedRoutePSTNRule = 'Specify')
    {
        $this->hostedRoutePSTNRule = $hostedRoutePSTNRule;
        return $this;
    }
    /**
     * Get pstnFailPrepend value
     * @return string|null
     */
    public function getPstnFailPrepend()
    {
        return $this->pstnFailPrepend;
    }
    /**
     * Set pstnFailPrepend value
     * @param string $pstnFailPrepend
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAdvertisedPatterns
     */
    public function setPstnFailPrepend($pstnFailPrepend = null)
    {
        $this->pstnFailPrepend = $pstnFailPrepend;
        return $this;
    }
}
